cabal-nirvana: Avoid Cabal dependency hell by constraining to known good versions.

[ bsd3, deprecated, distribution, program ] [ Propose Tags ]
Deprecated.

This tool takes a list of known compatible versions of libraries and forces them to be used, via constraints in your cabal config file. This should bypass a lot of cabal dependency hell, thereby inducing nirvana.

Versions 0.1, 0.1.0.1, 0.2, 0.2.1, 0.2.2, 0.2.2.1
Dependencies base (<5), Cabal, containers, directory, HTTP, packdeps (==0.3.*), process, transformers [details]
License BSD-3-Clause
Author Michael Snoyman
Maintainer michael@snoyman.com
Category Distribution
Home page http://github.com/snoyberg/cabal-nirvana
Uploaded by MichaelSnoyman at Tue Mar 6 22:19:19 UTC 2012
Distributions NixOS:0.2.2.1
Executables cabal-nirvana-generate, cabal-nirvana
Downloads 2412 total (22 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs not available [build log]
Last success reported on 2016-12-25 [all 8 reports]
Hackage Matrix CI

Flags

NameDescriptionDefaultType
generateDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees